﻿# See http://help.github.com/ignore-files/ for more about ignoring files.


# Xcode
#
*.pbxuser
!default.pbxuser
*.mode1v3
!default.mode1v3
*.mode2v3
!default.mode2v3
*.perspectivev3
!default.perspectivev3
xcuserdata
*.xccheckout
*.moved-aside
DerivedData
*.hmap
*.ipa
*.xcuserstate
project.xcworkspace


# Android/IntelliJ
#
.idea
.gradle
local.properties
*.iml


# node.js
#
node_modules/
jsbuild/
npm-debug.log


# BUCK
buck-out/
\.buckd/
*.keystore


# fastlane
#
# It is recommended to not store the screenshots in the git repo. Instead, use fastlane to re-generate the
# screenshots whenever they are needed.
# For more information about the recommended setup visit:
# https://docs.fastlane.tools/best-practices/source-control/


*/fastlane/report.xml
*/fastlane/Preview.html
*/fastlane/screenshots


# Bundle artifact
*.jsbundle


#Junk Files
*.DS_Store
[Tt]humbs.db


#Visual Studio Files
[Oo]bj
[Bb]in
[Dd]ebug
[Bb]uild/
*.user
*.suo
*.exe
*.pdb
*.aps
*_i.c
*_p.c
*.ncb
*.tlb
*.tlh
*.[Cc]ache
*.bak
*.ncb
*.ilk
*.log
*.lib
*.sbr
*.sdf
ipch/ 
*.dbmdl
*.csproj.user
*.cache
*.swp
*.vspscc
*.vssscc
*.bak.*
*.bak

# Visual Studio 2015/2017 cache/options directory
.vs/

#Tools
_ReSharper.*
_ReSharper*/
*.resharper
*.resharper.user
[Nn][Dd]epend[Oo]ut*/
Ankh.NoLoad


#Other
.svn
*/.vs/
**/wwwroot/lib


# Include DLLs if they're in the NuGet packages directory
!/packages/*/lib/*.dll
!/packages/*/lib/*/*.dll


# compiled output
/dist
/tmp
/out-tsc


# Only exists if Bazel was run
/bazel-out


# dependencies
/node_modules
.eslintcache


# profiling files
chrome-profiler-events.json
speed-measure-plugin.json


# IDEs and editors
/.idea
.project
.classpath
.c9/
*.launch
.settings/
*.sublime-workspace


# IDE - VSCode
.vscode
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
.history/*


# misc
/.sass-cache
/connect.lock
/coverage
/libpeerconnection.log
yarn-error.log
testem.log
/typings
package-lock.json


# Documentation files
DTBankPro/DTBankPro.WebApi/DTBankPro.WebApi.xml
DTBankPro/DTBankPro.Bll/DTBankPro.Bll.xml
DTBankPro/DTBankPro.Dal/DTBankPro.Dal.xml
DTBankPro/DTBankPro.Di/DTBankPro.Di.xml
DTBankPro/DTBankPro.Common/DTBankPro.Common.xml
DTBankPro/DTBankPro.UnitTests/DTBankPro.UnitTests.xml